# Record run feedback
Source: https://docs.simpleserve.ai/docs/api-reference/runs/put-runs-run_id-feedback

Method: PUT /v1/runs/{run_id}/feedback
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/v1/runs/{run_id}/feedback",
  "method": "PUT",
  "tags": [
    "Runs"
  ],
  "operationId": "setRunFeedback",
  "summary": "Record run feedback",
  "description": "Records or changes the current user's assessment of one finished run.",
  "parameters": [
    {
      "$ref": "#/components/parameters/RunId"
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/RunFeedbackRequest"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "The recorded assessment.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/RunFeedback"
          }
        }
      }
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "409": {
      "$ref": "#/components/responses/Conflict"
    },
    "422": {
      "$ref": "#/components/responses/UnprocessableEntity"
    }
  }
}
```